Package org.drinkless.tdlib

# Class TdApi.ReorderStoryAlbums

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.ReorderStoryAlbums

Enclosing class:
  `TdApi`

public static class TdApi.ReorderStoryAlbums extends TdApi.Function<TdApi.Ok>
Changes order of story albums. If the albums are owned by a supergroup or a channel chat, then requires canEditStories administrator right in the chat.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of the chat that owns the stories.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int[]`
  `storyAlbumIds`
  New order of story albums.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReorderStoryAlbums()`
  Default constructor for a function, which changes order of story albums.
  `ReorderStoryAlbums(long chatId, int[] storyAlbumIds)`
  Creates a function, which changes order of story albums.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the chat that owns the stories.

  - ### storyAlbumIds

    public int[] storyAlbumIds
    New order of story albums.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ReorderStoryAlbums

    public ReorderStoryAlbums()
    Default constructor for a function, which changes order of story albums. If the albums are owned by a supergroup or a channel chat, then requires canEditStories administrator right in the chat.

    Returns `Ok`

  - ### ReorderStoryAlbums

    public ReorderStoryAlbums(long chatId, int[] storyAlbumIds)
    Creates a function, which changes order of story albums. If the albums are owned by a supergroup or a channel chat, then requires canEditStories administrator right in the chat.

    Returns `Ok`

    Parameters:
      `chatId` - Identifier of the chat that owns the stories.
      `storyAlbumIds` - New order of story albums.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR